MKE2FS(8)

NOM
mke2fs – Créer un système de fichiers ext2/ext3/ext4

SYNOPSIS
mke2fs [ -c | -l fichier ] [ -b taille_bloc ] [ -C taille_cluster ] [ -d rép_racine ] [ -D ] [ -g blocs_par_groupe ] [ -G nombre_de_groupes ] [ -i octets_par_inœud ] [ -I taille_inœud ] [ -j ] [ -J options_journal ] [ -N nombre_inœuds ] [ -n ] [ -m pourcentage_blocs_réservés ] [ -o système_de_création ] [ -O [^]fonctionnalité[,...] ] [ -q ] [ -r niveau_révision_sf ] [ -E options_étendues ] [ -v ] [ -F ] [ -L nom_volume ] [ -M dernier_répertoire_monté ] [ -S ] [ -t type_sf ] [ -T type_utilisation ] [ -U UUID ] [ -V ] [ -e comportement_erreur ] [ -z fichier_récupération ] périphérique [ taille_sf ]

mke2fs -O journal_dev [ -b taille_bloc ] [ -L nom_volume ] [ -n ] [ -q ] [ -v ] journal_externe [ taille_sf ]

DESCRIPTION
mke2fs est utilisé pour créer des systèmes de fichiers ext2, ext3 ou ext4, habituellement sur une partition de disque (ou un fichier) appelé périphérique.

La taille du système de fichiers est indiquée par taille_sf. Si taille_sf n'a pas de suffixe, elle est interprétée comme une puissance de deux kilooctets, sauf si l'option -b taille_bloc est utilisée, auquel cas taille_sf est interprétée comme le nombre de blocs de taille taille_bloc. Si taille_sf a un suffixe « k », « m », « g » ou « t » (en majuscule ou minuscule), elle est interprétée en puissance de deux kilooctets, mégaoctets, gigaoctets, téraoctets, etc. Si taille_sf n'est pas indiquée, mke2fs créera un système de fichiers en se basant sur la taille du périphérique.

Si mke2fs est lancé avec une commande du type mkfs.XXX (c'est-à-dire, mkfs.ext2, mkfs.ext3 ou mkfs.ext4), l'option -t XXX est implicite. Ainsi, mkfs.ext3 créera un système de fichiers ext3, mkfs.ext4 créera un système de fichiers ext4, et ainsi de suite.

Les valeurs par défaut des paramètres pour les systèmes de fichiers nouvellement créés, si elles ne sont pas remplacées par les options ci-dessous, sont contrôlées par le fichier de configuration /etc/mke2fs.conf. Consultez la page de manuel de mke2fs.conf(5) pour plus de détails.

OPTIONS

-b taille_bloc
    Indiquer la taille des blocs en octets. Les tailles de bloc valables sont des puissances de deux, de 1024 jusqu’à 65536 (remarquez cependant que le noyau est capable seulement de monter des systèmes de fichiers avec des tailles de bloc plus petites ou égales à la taille de page du système — 4 ko sur les systèmes x86, jusqu’à 64 ko sur ppc64 ou aarch64 en fonction de la configuration du noyau). Si omise, la taille de bloc est déterminée de manière heuristique par la taille du système de fichiers et par l’usage attendu du système de fichiers (consultez l’option -T). Dans la plupart des cas la taille par défaut est de 4 ko. Si taille_bloc est précédé d'un signe négatif (« - »), mke2fs utilisera des heuristiques pour déterminer la taille appropriée, en imposant que la taille soit au moins de taille_bloc octets. C'est utile pour certains périphériques physiques qui nécessitent que la taille de bloc soit un multiple de 2 ko.

-c  Vérifier les blocs défectueux avant de créer le système de fichiers. Si cette option est indiquée deux fois, alors un test en lecture/écriture plus lent est utilisé à la place d'un test rapide en lecture seule.

-C taille_cluster
    Indiquer la taille d’unité d’allocation (cluster) en octets pour les systèmes de fichiers utilisant la fonctionnalité bigalloc. Les valeurs correctes pour la taille du cluster sont comprises entre 2048 octets et 256 Mo par cluster. Cela ne peut être indiqué que si la fonctionnalité bigalloc est activée. Consultez la page de manuel de ext4(5) pour plus de détails sur bigalloc. La taille du cluster par défaut, si bigalloc est activé, est égale à 16 fois celle du bloc.

-d rép_racine
    Copier le contenu du répertoire indiqué dans le répertoire racine du système de fichiers.

-D  Utiliser les entrées et sorties directes lors de l'écriture sur le disque. Cela évite à mke2fs de monopoliser une grande quantité de mémoire cache tampon, ce qui peut avoir un effet sur les applications en cours de fonctionnement sur un serveur très sollicité. Cependant, cette option fera fonctionner mke2fs plus lentement. Il y a donc un compromis à faire pour utiliser les entrées et sorties directes.

-e comportement_erreur
    Changer le comportement du noyau quand des erreurs ont été détectées. Dans tous les cas, une erreur de système de fichiers provoquera l'exécution de e2fsck(8) pour vérifier le système de fichiers lors du prochain redémarrage. Les choix possibles pour comportement_erreur sont :

    continue
        Continuer l'exécution normale.

    remount-ro
        Remonter le système de fichiers en lecture seule.

    panic
        Provoquer une panique du noyau.

-E options_étendues
    Définir des options étendues sur le système de fichiers. Les options étendues sont séparées par des virgules et peuvent prendre un paramètre en utilisant le symbole égal (« = »). L'option -E correspond à l'option -R des anciennes versions de mke2fs. L'option -R est encore acceptée pour des raisons de compatibilité ascendante, mais est obsolète. Les options étendues suivantes sont prises en charge :

    encoding=nom_encodage
        Activer la fonction casefold (majuscule/minuscule) dans le superbloc et définir nom_encodage pour l’encodage à utiliser. Si celui-ci n’est pas défini, l’encodage précisé dans mke2fs.conf(5) est utilisé.

    encoding_flags=indicateurs_encodage
        Définir les paramètres pour les opérations d’encodage de caractères de nom de fichier. Si un indicateur n’est pas modifié par l’utilisation de ces paramètres, sa valeur par défaut est utilisée. indicateurs_encodage doit être une liste d’indicateurs à activer, séparés par des virgules. Pour leur désactivation, il faut l’ajouter à la liste avec le préfixe « no ». Le seul indicateur pouvant être activé actuellement est strict, ce qui signifie que les chaînes non autorisées sont rejetées par le système de fichiers. Dans la configuration par défaut, l’indicateur strict est désactivé.

    mmp_update_interval=intervalle
        Ajuster la durée, en seconde, de l'intervalle initial pour la mise à jour MMP. Indiquer un intervalle de 0 signifie utiliser la valeur par défaut. La valeur indiquée doit être inférieure à 300 secondes. Cette option nécessite que la fonctionnalité mmp ait été activée.

    stride=taille_bande
        Configurer le système de fichiers pour une matrice RAID avec une taille de bande de taille_bande blocs du système de fichiers. Il s'agit du nombre de blocs lus ou écrits sur le disque avant de passer au disque suivant, ce qui est parfois aussi appelé la chunk size (taille d’allocation minimale). Cela affecte principalement le placement des métadonnées comme la carte des blocs au moment de la création du système de fichiers avec mke2fs pour éviter de les placer toutes sur le même disque, ce qui peut réduire les performances. Elle peut aussi être utilisée par l'allocateur de blocs.

    stripe_width=largeur_bande
        Configurer le système de fichiers pour une matrice RAID avec une largeur de bande de largeur_bande blocs du système de fichiers. Il s'agit typiquement de « largeur_bande * N », où N est le nombre de disques recevant des données sur le RAID (par exemple, pour RAID 5 il y a un disque de parité, donc N sera le nombre de disques moins un). Cela permet à l'allocateur de blocs d'éviter des séquences de lecture / modification / écriture de la parité dans une bande RAID si c'est possible quand les données sont écrites.

    offset=position
        Créer le système de fichiers avec un décalage depuis le début du périphérique ou du fichier. Cela peut être utile lors de la création d'images de disque pour des machines virtuelles.

    resize=taille_max_à_chaud
        Réserver suffisamment d'espace pour que la table des descripteurs de groupes de blocs grossisse de telle sorte qu'elle puisse gérer un système de fichiers de taille_max_à_chaud blocs.

    lazy_itable_init[= <0 pour désactiver, 1 pour activer>]
        Lorsqu'elle est activée et que la fonctionnalité uninit_bg est activée, la table des inœuds ne sera pas complètement initialisée par mke2fs. Cela accélère l'initialisation du système de fichiers notablement, mais nécessite que le noyau finisse l'initialisation du système de fichiers en tâche de fond quand il est monté pour la première fois. Si la valeur de l'option n'est pas fournie, la valeur par défaut utilisée est 1, ce qui active la mise à zéro différée de la table des inœuds.

    lazy_journal_init[= <0 pour désactiver, 1 pour activer>]
        Lorsqu'elle est activée, le journal des inœuds ne sera pas complètement mis à zéro par mke2fs. Cela accélère l'initialisation du système de fichiers notablement, mais comporte un léger risque en cas de plantage du système avant que le journal ne soit entièrement réécrit une fois. Si la valeur de l'option n'est pas fournie, la valeur par défaut utilisée est 1, ce qui active la mise à zéro différée du journal des inœuds.

    assume_storage_prezeroed[= <0 pour désactiver, 1 pour activer>]
        Si activé, mke2fs assume que le périphérique de stockage a été rempli de zéros, ne remplit pas de zéros le journal et les tables d’inœuds et renseigne les attributs de groupe de blocs pour signaler la mise à zéros de la table d’inœuds.

    no_copy_xattrs
        Normalement, mke2fs copie les attributs étendus des fichiers dans la hiérarchie des répertoires indiquée avec l’option (facultative) -d. Cela désactive la copie et laisse les fichiers dans le nouveau système de fichiers sans attributs étendus.

    num_backup_sb=<0|1|2>
        Si la fonctionnalité sparse_super2 du système de fichiers est activée, cette option contrôle si 0, 1 ou 2 superblocs de sauvegarde seront créés dans le système de fichiers.

    packed_meta_blocks[= <0 pour désactiver, 1 pour activer>]
        Placer la carte d'allocation et la table des inœuds au début du disque. Cette option nécessite l'activation de la fonctionnalité flex_bg du système de fichiers pour avoir de l'effet et créera aussi le journal au début du système de fichiers. Cette option est utile pour les périphériques flash qui utilisent de la mémoire flash SLC au début du disque. Cela maximise aussi le domaine de blocs de données contigus, ce qui peut être utile pour certaines utilisations spécifiques, telles que les disques Shingled pris en charge.

    root_owner[=uid:gid]
        Indiquer les identifiants numériques d'utilisateur (« UID ») et de groupe (« GID ») pour le répertoire racine. Si aucun des identifiants n'est indiqué, utiliser les identifiants d'utilisateur et de groupe de l'utilisateur ayant lancé mke2fs. Dans mke2fs 1.42 et les versions antérieures, les identifiants du répertoire racine étaient par défaut ceux de l'utilisateur ayant lancé mke2fs. L'option root_owner= permet explicitement de choisir ces identifiants, et d'éviter ainsi des effets secondaires pour les utilisateurs qui ne s'attendent pas à un changement du contenu du système de fichiers en fonction de l'utilisateur qui lance mke2fs.

    test_fs
        Positionner un attribut dans le superbloc du système de fichiers indiquant qu'il peut être monté en utilisant du code expérimental du noyau, comme le système de fichiers ext4dev.

    orphan_file_size=taille
        Définir la taille du fichier pour tracer les inœuds déliés mais encore ouverts et les inœuds dont la troncature est en cours. Un gros fichier permettant une meilleure évolutivité, réserver quelques blocs par CPU est idéal.

    discard
        Essayer d'abandonner les blocs au moment de mkfs (l'abandon de blocs est utile pour les disques statiques à semiconducteurs « SSD » et les systèmes de stockage creux ou à allocation fine et dynamique). Lorsque le périphérique signale que l'abandon met aussi à zéro les données (toute lecture postérieure à l'abandon et antérieure à une écriture renvoie zéro), marquer comme étant remises à zéro toutes les tables d'inœuds étant sur le point de l'être. Cela augmente de manière significative l'initialisation du système de fichiers. C'est le comportement par défaut.

    nodiscard
        Ne pas essayer d'abandonner des blocs au moment de mkfs.

    quotatype
        Indiquer quels types de quota (usrquota, grpquota, prjquota) qui doivent être activés dans le système de fichiers créé. L’argument de cette option étendue doit être une liste avec la virgule comme séparateur. Cette option n’a d’effet que si la fonctionnalité quota est définie. Les types de quota à être initialisés si cette option n’est pas indiquée sont ceux des quotas d’utilisateur et de groupe. Si la fonctionnalité projet est activée, les quotas de projet seront aussi initialisés.

-F  Forcer l'exécution de mke2fs, même si le périphérique indiqué n'est pas une partition sur un périphérique de blocs ou si pour d'autres raisons ça ne semble pas être sensé. Pour forcer mke2fs à créer le système de fichiers, même si le système de fichiers apparaît comme utilisé ou est déjà monté (ce qui peut être très dangereux), cette option doit être indiquée deux fois.

-g blocs_par_groupe
    Indiquer le nombre de blocs dans un groupe de blocs. Il n'y a généralement aucune raison qu'un utilisateur change ce paramètre, puisque la valeur par défaut est optimisée pour le système de fichiers. (Pour les administrateurs qui créent des systèmes de fichiers sur des matrices RAID, il est préférable d'utiliser le paramètre RAID stride avec l'option -E plutôt que de manipuler le nombre de blocs par groupe). Cette option est en général utilisée par les développeurs qui développent des cas de test.

    Si la fonctionnalité bigalloc est activée, l'option -g précisera le nombre de clusters dans un groupe de blocs.

-G nombre_groupes
    Indiquer le nombre de groupes de blocs qui seront rassemblés pour créer un plus gros groupe de blocs virtuel (ou « groupe flex_bg ») sur un système de fichiers ext4. Cela améliore la localisation des métadonnées et les performances lorsqu'il y a beaucoup de travaux sur les métadonnées. Le nombre de groupes doit être une puissance de 2 et ne peut être indiqué que si la fonctionnalité flex_bg est activée.

-i octets_par_inœud
    Indiquer le rapport octets/inœud. mke2fs crée un inœud pour chaque groupe d'octets_par_inœud octets d'espace sur le disque. Plus le rapport octets_par_inœud est élevé, moins on crée d'inœuds. Cette valeur ne devrait généralement pas être inférieure à la taille des blocs du système de fichiers car il serait alors créé plus d'inœuds que ce qui pourrait être utilisé. Sachez qu'il n'est pas possible de modifier ce rapport sur un système de fichiers après sa création, donc faites attention à choisir une valeur correcte pour ce paramètre. Remarquez que redimensionner un système de fichiers change le nombre d'inœuds pour garder ce rapport constant.

-I taille_inœud
    Indiquer la taille de chaque inœud, en octets. La valeur de taille_inœud doit être une puissance de 2 supérieure ou égale à 128. Plus taille_inœud est importante, plus la table des inœuds prendra de place, réduisant la place disponible sur le système de fichiers et pouvant également réduire les performances. Il n'est pas possible de changer cette valeur après la création du système de fichiers.

    Les systèmes de fichiers avec une taille d’inœud de 128 octets ne gèrent pas les horodatages au delà du 19 janvier 2038. Les inœuds de 256 octets ou plus gèreront les horodatages étendus, les identifiants de projet et la possibilité de stocker certains attributs étendus dans la table d’inœuds pour une amélioration des performances.

    La taille par défaut des inœuds est contrôlée par le fichier mke2fs.conf(5). Dans le fichier mke2fs.conf fourni avec e2fsprogs, la taille par défaut des inœuds est fixée à 256 octets pour la plupart des systèmes de fichiers, sauf pour les petits systèmes de fichiers pour lesquels la taille des inœuds sera 128 octets.

-j  Créer le système de fichiers avec un journal ext3. Si l'option -J n'est pas indiquée, des paramètres par défaut seront utilisés pour le dimensionnement du journal (suivant la taille du système de fichiers) stocké dans le système de fichiers. Remarquez qu'il est impératif d'utiliser un noyau prenant ext3 en charge pour pouvoir utiliser le journal.

-J options_journal
    Créer le journal ext3 en utilisant des options indiquées par la ligne de commandes. Les options du journal sont séparées par des virgules et peuvent prendre un paramètre par l'utilisation du signe égal (« = »). Les options prises en charge pour le journal sont les suivantes :

    size=taille_journal
        Créer un journal dans le système de fichiers de taille taille_journal mégaoctets. La taille du journal doit être d'au moins 1024 blocs du système de fichiers (c'est-à-dire 1 Mo pour des blocs de 1 ko, 4 Mo pour des blocs de 4 ko, etc.) et d'au plus 10 240 000 blocs, sans dépasser la moitié de la taille du système de fichiers total.

    stride=taille_fast-commit
        Créer une zone de journal supplémentaire d’enregistrement rapide de taille taille_fast-commit kilooctets. Cette option est seulement autorisée si la fonctionnalité fast_commit est activée sur le système de fichiers. Si cette option n’est pas indiquée et si la fonctionnalité fast_commit est activée, la taille de la zone sera par défaut taille_journal/64 mégaoctets. La taille totale du journal avec la fonctionnalité fast_commit activée est taille_journal + ( taille_fast-commit * 1024) mégaoctets. Elle ne peut pas être supérieure à 10 240 000 blocs, sans dépasser la moitié de la taille totale du système de fichiers.

    location=emplacement_journal
        Préciser l'emplacement du journal. Le paramètre emplacement_journal peut être précisé comme un numéro de bloc, ou, si le nombre a un suffixe d'unités (par exemple « M », « G », etc.), être interprété comme le décalage depuis le début du système de fichiers.

    device=journal_externe
        Lier le système de fichiers au périphérique journal_externe contenant un journal. Le journal externe doit avoir déjà été créé par la commande :

        mke2fs -O journal_dev journal_externe

        Remarquez que journal_externe doit avoir été créé avec la même taille de blocs que le nouveau système de fichiers. De plus, même s'il est possible d'attacher plusieurs systèmes de fichiers à un unique journal, le noyau Linux et e2fsck(8) ne gèrent toujours pas le partage de journal externe.

        Au lieu d'indiquer directement un nom de périphérique, journal_externe peut aussi être indiqué sous la forme LABEL=nom ou UUID=UUID pour indiquer le journal externe par le nom de volume ou par l'UUID stocké dans le superbloc ext2 au début du journal. Utilisez dumpe2fs(8) pour afficher le nom de volume et l'UUID du périphérique d'un journal. Voir aussi l'option -L de tune2fs(8).

    Une seule des deux options size ou device peut être utilisée pour un système de fichiers donné.

-l fichier
    Lire la liste des blocs défectueux à partir du fichier. Les numéros de blocs de la liste des blocs défectueux doivent être générés en utilisant la même taille de bloc que celle utilisée par mke2fs. Par conséquent, l'utilisation de l'option -c de mke2fs est une méthode beaucoup plus simple et moins sujette à erreurs pour vérifier les blocs défectueux d'un disque avant de le formater, puisque dans ce cas mke2fs fournira automatiquement les paramètres corrects au programme badblocks.

-L nom_nouveau_volume
    Configurer le nom du système de fichiers à nom_nouveau_volume. La taille maximale du nom est de 16 octets.

-m pourcentage_blocs_réservés
    Indiquer le pourcentage de blocs du système de fichiers réservés pour le superutilisateur. Cela permet d'éviter la fragmentation et permet aux démons lancés par le superutilisateur, comme syslogd(8), de continuer à fonctionner correctement après que les processus non privilégiés ne soient plus autorisés à écrire sur le système de fichiers. La valeur par défaut est de 5 %.

-M dernier_répertoire_monté
    Positionner le dernier répertoire où le système de fichiers a été monté. Cela pourrait être utile pour aider des utilitaires qui recherchent le dernier point de montage pour déterminer où le système de fichiers devrait être monté.

-n  Indiquer à mke2fs de ne pas réellement créer le système de fichiers, mais d'afficher ce qu'il ferait s'il devait le créer. Ça peut être utile pour déterminer l'emplacement des superblocs de sauvegarde pour un système de fichiers particulier, du moins si les paramètres de mke2fs sont les mêmes que ceux passés lors de la création du système de fichiers.

-N nombre_inœuds
    Remplacer le calcul par défaut du nombre d'inœuds qui devraient être réservés pour le système de fichiers (qui est basé sur le nombre de blocs et le ratio octets_par_inœud). Cela permet à l'utilisateur d'indiquer directement le nombre d'inœuds désiré.

-o creator-os
    Remplacer manuellement la valeur par défaut du champ « créateur du système d'exploitation » du système de fichiers. La valeur de ce champ vaut par défaut le nom du système d'exploitation natif pour lequel l'exécutable mke2fs a été compilé.

-O [^]fonctionnalité[,...]
    Créer un système de fichiers avec les fonctionnalités données (options du système de fichiers), en remplaçant les options par défaut du système de fichiers. Les fonctionnalités qui sont activées par défaut sont indiquées par la variable base_features, soit dans la section [defaults] du fichier de configuration /etc/mke2fs.conf, ou dans les sous-sections [fs_types] relatives aux types d'utilisation indiqués par l'option -T, pouvant elle-même être modifiée par la variable features des sous-sections [fs_types] pour les types de système de fichiers ou d'utilisation. Consultez la page de manuel mke2fs.conf(5) pour plus de détails. Les paramètres spécifiques à chaque type de système de fichiers précisé dans la section [fs_types] remplacent les valeurs de la section globale [defaults].

    Le jeu de fonctionnalités sera mis au point en utilisant le jeu de fonctionnalités fourni par cette option ou, si cette option n'est pas fournie, en utilisant la variable default_features du type de système de fichiers qui doit être créé ou de la section [defaults] du fichier de configuration.

    Le jeu de fonctionnalités est une liste de fonctionnalités, séparées par des virgules, qui doivent être activées. Pour désactiver une fonctionnalité, préfixez-la simplement par un caractère « ^ ». Les fonctionnalités avec des dépendances ne pourront pas être désactivées correctement. La fonctionnalité particulière « none » permet de supprimer toutes les fonctionnalités de système de fichiers.

Pour plus d'informations sur les fonctionnalités qui peuvent être activées, consultez
    la page de manuel ext4(5).

-q  Exécution silencieuse. Utile pour exécuter mke2fs dans un script.

-r niveau_révision_sf
    Positionner la révision du système de fichiers pour le nouveau système de fichiers. Remarquez que les noyaux 1.2 ne gèrent que la révision 0. Par défaut, les systèmes de fichiers sont créés avec la révision 1.

-S  Écrire uniquement le superbloc et les descripteurs de groupe. C'est une mesure extrême à prendre seulement dans le cas très improbable où tous les superblocs et tous les superblocs de sauvegarde sont corrompus et qu’une méthode de récupération de dernier recours est souhaitée pour les utilisateurs très expérimentés. Cela entraîne la réinitialisation du superbloc et des descripteurs de groupe par mke2fs sans toucher à la table des inœuds, ni à la carte des blocs et inœuds. Le programme e2fsck devrait être exécuté immédiatement après l'utilisation de cette option et il n'y a aucune garantie que des données pourront être récupérables. À cause de la grande diversité d’options possibles pour mke2fs qui affectent la disposition interne du disque, il est essentiel d’indiquer exactement les mêmes options de format, telles que la taille de bloc, le type de système de fichiers, les indicateurs de fonctionnalité et les options personnalisables lors de l’utilisation de cette option, sinon le système de fichiers pourrait devenir corrompu. Dans certains cas, tels que le redimensionnement de système de fichiers ou l’activation de fonctionnalités après le formatage, il est impossible de réécrire les superblocs correctement et au moins une corruption de système de fichiers adviendra. Il est préférable d’utiliser cette option sur une copie entière du système de fichiers de façon à pouvoir essayer d’autres options si cela ne fonctionne pas.

-t type_sf
    Indiquer le type de système de fichiers (c'est-à-dire ext2, ext3, ext4, etc.) qui doit être créé. Si cette option n'est pas fournie, mke2fs utilisera un type de système de fichiers par défaut défini soit par la façon dont la commande est appelée (par exemple en utilisant un nom de la forme mkfs.ext2, mkfs.ext3, etc.) ou par la valeur par défaut définie par le fichier /etc/mke2fs.conf. Cette option contrôle les options du système de fichiers qui sont utilisées par défaut, en fonction de la section fstypes du fichier de configuration /etc/mke2fs.conf.

    Si l'option -O est utilisée pour explicitement ajouter ou supprimer des options à activer pour le système de fichiers nouvellement créé, le système de fichiers résultant peut ne pas être pris en charge par le type de système de fichiers type_sf demandé (par exemple, « mke2fs -t ext3 -O extent /dev/sdXX » créera un système de fichiers qui n'est pas pris en charge par l'implémentation du système de fichiers ext3 que l'on peut trouver dans le noyau Linux ; et « mke2fs -t ext3 -O ^has_journal /dev/hdXX » créera un système de fichiers sans journal et donc ne pourra être pris en charge par le code du système de fichiers ext3 du noyau Linux).

-T type_utilisation[,...]
    Indiquer comment le système de fichiers va être utilisé afin que mke2fs puisse choisir les paramètres optimaux pour cette utilisation. Les types d'utilisation gérés sont définis dans le fichier de configuration /etc/mke2fs.conf. L'utilisateur peut définir un type d'utilisation ou plus en fournissant une liste d'utilisations séparées par des virgules.

    Si cette option n'est pas précisée, mke2fs utilisera un unique type d'utilisation par défaut en fonction de la taille du système de fichiers à créer. Si la taille du système de fichiers est inférieure à 3 mégaoctets, mke2fs(8) utilisera le type floppy. Si la taille du système de fichiers est supérieure ou égale à 3 mégaoctets, mais inférieure à 512 mégaoctets, mke2fs(8) utilisera le type small. Si la taille du système de fichiers est supérieure ou égale à 4 téraoctets mais inférieure à 16 téraoctets, mke2fs(8) utilisera le type big. Si la taille du système de fichiers est supérieure ou égale à 16 téraoctets, mke2fs(8) utilisera huge. Sinon, mke2fs(8) utilisera le type par défaut default.

-U UUID
    Définir l'identifiant unique universel du système de fichiers (UUID = Universal Unique ID) à UUID. Le format d'UUID est une suite de chiffres hexadécimaux séparés par des tirets ; par exemple « c1b9d5a2-f162-11cf-9ece-0020afc76f16 ». Le paramètre UUID peut aussi être l'un des suivants :

    clear
        Effacer l'UUID du système de fichiers.

    random
        Générer aléatoirement un nouvel UUID.

    time
        Générer un nouvel UUID à partir de la date courante.

-v  Exécution en mode bavard.

-V  Afficher le numéro de version de mke2fs, puis quitter.

-z fichier_annulations
    Avant de réécrire un bloc de système de fichiers, écrire le contenu du bloc dans un fichier de récupération. Ce fichier peut être utilisé avec e2undo(8) pour restaurer l’ancien contenu du système de fichiers si quelque chose se passe de travers. Si une chaîne vide est passée comme argument, le fichier de récupération sera écrit dans un fichier appelé mke2fs-périphérique.e2undo dans le répertoire indiqué par la variable d’environnement E2FSPROGS_UNDO_DIR ou la directive undo_dir dans le fichier de configuration. AVERTISSEMENT : le fichier d’annulations ne peut pas être utilisé pour se remettre d'une coupure d'alimentation ou d'un plantage du système.

ENVIRONNEMENT

MKE2FS_SYNC
    Si la valeur attribuée est un entier non nul, elle est utilisée pour déterminer la fréquence d'appels à sync(2) pendant l'initialisation de la table des inœuds.

MKE2FS_CONFIG
    Détermination du chemin du fichier de configuration (consultez mke2fs.conf(5)).

MKE2FS_FIRST_META_BG
    Si la valeur attribuée est un entier non nul, elle est utilisée pour déterminer le premier groupe de métablocs. C'est utilisé majoritairement pour le débogage.

MKE2FS_DEVICE_SECTSIZE
    Si la valeur attribuée est un entier non nul, elle est utilisée pour déterminer la taille des secteurs logiques du périphérique.

MKE2FS_DEVICE_PHYS_SECTSIZE
    Si la valeur attribuée est un entier non nul, elle est utilisée pour déterminer la taille des secteurs physiques du périphérique.

MKE2FS_SKIP_CHECK_MSG
    Si cette variable est positionnée, ne pas afficher le message de vérification automatique du système de fichiers induite par le compte du nombre de montages ou le temps écoulé depuis la dernière vérification.

AUTEUR
Cette version de mke2fs a été écrite par Theodore Ts'o <tytso@mit.edu>.

DISPONIBILITÉ
mke2fs est inclus dans le paquet e2fsprogs et est disponible sur http://e2fsprogs.sourceforge.net.

VOIR AUSSI
mke2fs.conf(5), badblocks(8), dumpe2fs(8), e2fsck(8), tune2fs(8), ext4(5)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.